
QGIS Application - Bug report #1372

Crash when using postgis layers with symbology "continous colors"

2008-10-21 07:29 AM - sitondorf -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11432

Description

POSTGis-Layer: View in Postgis-Database v_mdat_gem_k_efh

When displaying the data everything works fine. 

"Save Project" and "Open Project" work as expected.

Layer-Properties->Symbology:

Legend type: change to "Continuous Color" 

Classification Field: wert

... (default values)

[OK]: Map is displayed with continous colors.

Saved Project to a new file

Closed QGIS

Start QGIS

Open saved project -> application crash

No difference between 0.11.0-Metis and 1.0.0-Kore-preview1

Postgis-Data:

CREATE OR REPLACE VIEW v_mdat_gem_k_efh AS 

 SELECT g.gid, g.rs, g.ags, g.si_subkey, g.gen, g.des, g.ewz, g.bld_gen, f.wert, f.wert_quelle, d."BEZ" AS wert_quelle_str, f.wert_fix,

f.randgebiet, g.the_geom

   FROM basis_bkg_gem g, marktdaten_gem_k_efh f

   JOIN datenquelle d ON d."ID" = f.wert_quelle

  WHERE g.rs = f.rs AND g.si_subkey = f.si_subkey;

CREATE TABLE basis_bkg_gem

(

  gid serial NOT NULL,

  bld_rs character(12),

  krs_rs character(12),

  rs character(12),

  ags character(8),

  si_subkey character(2),

  gen character varying(50),

  des character varying(50),

  ewz bigint,

  bld_gen character varying(25),

  krs_gen character varying(50),

  the_geom geometry,
  CONSTRAINT basis_bkg_gem_gem_pkey PRIMARY KEY (gid),

  CONSTRAINT enforce_dims_the_geom CHECK (ndims(the_geom) = 2),

  CONSTRAINT enforce_geotype_the_geom CHECK (geometrytype(the_geom) = 'MULTIPOLYGON'::text OR the_geom IS NULL),

  CONSTRAINT enforce_srid_the_geom CHECK (srid(the_geom) = 4326)

)

WITH (OIDS=FALSE);

CREATE TABLE marktdaten_gem_k_efh

(

  rs character(12) NOT NULL,

  si_subkey character(2) NOT NULL,

  wert double precision,

  wert_quelle integer,

  wert_fix boolean,

  randgebiet boolean,

  CONSTRAINT marktdaten_gem_k_efh_pkey PRIMARY KEY (rs, si_subkey)

)

WITH (OIDS=FALSE);

CREATE TABLE datenquelle

(

  "ID" integer NOT NULL,

  "BEZ" character varying(50) NOT NULL,

  CONSTRAINT pk_datenquelle PRIMARY KEY ("ID")

)

WITH (OIDS=FALSE);

History

#1 - 2008-10-21 07:50 AM - sitondorf -

When using the Ubuntu-Version everything works fine!

#2 - 2009-01-19 09:37 AM - Paolo Cavallini

- Resolution set to worksforme

- Status changed from Open to Closed

Does this still apply with a recent version? If so, please reopen the bug

#3 - 2009-08-22 01:01 AM - Anonymous

Milestone Version 1.0.1 deleted
